@winery/topologymodeler

This makes the [OpenTOSCA/Winery topologymodeler](https://github.com/OpenTOSCA/winery) module available as npm package.

Stats

stars 🌟issues ⚠️updated 🛠created 🐣size 🏋️‍♀️
@winery/topologymodeler
Minified + gzip package size for @winery/topologymodeler in KB

Readme

@Winery/Topologymodeler

This makes the OpenTOSCA/Winery topologymodeler module available as npm package.

Install

npm install @winery/topologymodeler --save

Usage

1. Add the WineryModule to your app.module.ts:

import { WineryModule } from '@winery/topologymodeler';

...

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    ...,
    WineryModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }

2. Use Topologymodeler to render a TopologyTemplate:

<winery-topologymodeler [topologyModelerData]="...">
</winery-topologymodeler>

topologyModelerData has to be of this type:

export interface TopologyModelerInputDataFormat {
        configuration: {
            readonly: boolean,
            endpointConfig: TopologyModelerConfiguration
        };
        topologyTemplate: TTopologyTemplate;
        visuals: Visuals;
}

TopologyModelerConfiguration {
    readonly id: string;
    readonly ns: string;
    readonly repositoryURL: string;
    readonly uiURL: string;
    readonly compareTo: string;
}

Attention: this package has the following peerDependencies:

Please make sure that you install them by adding them to your package.json's dependencies

"peerDependencies": {
    "@angular-redux/store": "9.0.0",
    "@angular/animations": "6.1.7",
    "@angular/cdk": "6.4.7",
    "@angular/common": "6.1.7",
    "@angular/core": "6.1.7",
    "@angular/forms": "6.1.7",
    "@angular/http": "6.1.7",
    "@angular/platform-browser": "6.1.7",
    "@angular/platform-browser-dynamic": "6.1.7",
    "@angular/router": "6.1.7",
    "angular2-hotkeys": "2.1.3",
    "bootstrap": "4.1.3",
    "core-js": "2.5.7",
    "css-element-queries": "0.4.0",
    "element-resize-detector": "1.1.12",
    "elkjs": "0.4.1",
    "font-awesome": "4.7.0",
    "jsplumb": "2.8.0",
    "ngx-bootstrap": "2.0.4",
    "ngx-toastr": "9.0.2",
    "redux": "4.0.0",
    "rxjs": "6.3.2",
    "rxjs-compat": "6.3.2",
    "zone.js": "0.8.26"
}

If you find any bugs or have a feature request, please open an issue on github!

The npm package download data comes from npm's download counts api and package details come from npms.io.